Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.keys.keyresolver
Class KeyResolverSpi

    java.lang.Object
      org.apache.xml.security.keys.keyresolver.KeyResolverSpi

Direct Known Subclasses:
  DEREncodedKeyValueResolver, DSAKeyValueResolver, EncryptedKeyResolver, KeyInfoReferenceResolver, PrivateKeyResolver, RetrievalMethodResolver, RSAKeyValueResolver, SecretKeyResolver, SingleKeyResolver, X509CertificateResolver, X509DigestResolver, X509IssuerSerialResolver, X509SKIResolver, X509SubjectNameResolver

    public abstract class KeyResolverSpi

extends java.lang.Object

This class is an abstract class for a child KeyInfo Element. If you want the your KeyResolver, at firstly you must extend this class, and register as following in config.xml

      <KeyResolver URI="http://www.w3.org/2000/09/xmldsig#KeyValue"
       JAVACLASS="MyPackage.MyKeyValueImpl"//gt;

Field Summary
`protected boolean` | `globalResolver`
`protected java.util.Map<java.lang.String,java.lang.String>` | `properties` Field properties
`protected boolean` | `secureValidation`

Constructor Summary
`KeyResolverSpi()`

Method Summary
`boolean` | `engineCanResolve(org.w3c.dom.Element element, java.lang.String baseURI, StorageResolver storage)` This method returns whether the KeyResolverSpi is able to perform the requested action.
`java.lang.String` | `engineGetProperty(java.lang.String key)` Method engineGetProperty
`java.security.PrivateKey` | `engineLookupAndResolvePrivateKey(org.w3c.dom.Element element, java.lang.String baseURI, StorageResolver storage)` Method engineLookupAndResolvePrivateKey
`java.security.PublicKey` | `engineLookupAndResolvePublicKey(org.w3c.dom.Element element, java.lang.String baseURI, StorageResolver storage)` Method engineLookupAndResolvePublicKey
`javax.crypto.SecretKey` | `engineLookupAndResolveSecretKey(org.w3c.dom.Element element, java.lang.String baseURI, StorageResolver storage)` Method engineLookupAndResolveSecretKey
`java.security.cert.X509Certificate` | `engineLookupResolveX509Certificate(org.w3c.dom.Element element, java.lang.String baseURI, StorageResolver storage)` Method engineLookupResolveX509Certificate
`java.security.PublicKey` | `engineResolvePublicKey(org.w3c.dom.Element element, java.lang.String baseURI, StorageResolver storage)` Method engineResolvePublicKey
`javax.crypto.SecretKey` | `engineResolveSecretKey(org.w3c.dom.Element element, java.lang.String baseURI, StorageResolver storage)` Method engineResolveSecretKey
`java.security.cert.X509Certificate` | `engineResolveX509Certificate(org.w3c.dom.Element element, java.lang.String baseURI, StorageResolver storage)` Method engineResolveCertificate
`void` | `engineSetProperty(java.lang.String key, java.lang.String value)` Method engineSetProperty
`void` | `setGlobalResolver(boolean globalResolver)`
`void` | `setSecureValidation(boolean secureValidation)` Set whether secure validation is enabled or not.
`boolean` | `understandsProperty(java.lang.String propertyToTest)` Method understandsProperty

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    protected java.util.Map<java.lang.String,java.lang.String> properties

  Field properties

### globalResolver

    protected boolean globalResolver

### secureValidation

    protected boolean secureValidation

Constructor Detail

### KeyResolverSpi

    public KeyResolverSpi()

Method Detail

### setSecureValidation

    public void setSecureValidation(boolean secureValidation)

  Set whether secure validation is enabled or not. The default is false.

### engineCanResolve

    public boolean engineCanResolve(org.w3c.dom.Element element,
                                    java.lang.String baseURI,
                                    StorageResolver storage)

  This method returns whether the KeyResolverSpi is able to perform the requested action.

  Parameters:
    `element` -
    `baseURI` -
    `storage` -
  Returns:
    whether the KeyResolverSpi is able to perform the requested action.

### engineResolvePublicKey

    public java.security.PublicKey engineResolvePublicKey(org.w3c.dom.Element element,
                                                          java.lang.String baseURI,
                                                          StorageResolver storage)
                                                   throws KeyResolverException

  Method engineResolvePublicKey

  Parameters:
    `element` -
    `baseURI` -
    `storage` -
  Returns:
    resolved public key from the registered from the element.
  Throws:
    `KeyResolverException`

### engineLookupAndResolvePublicKey

    public java.security.PublicKey engineLookupAndResolvePublicKey(org.w3c.dom.Element element,
                                                                   java.lang.String baseURI,
                                                                   StorageResolver storage)
                                                            throws KeyResolverException

  Method engineLookupAndResolvePublicKey

  Parameters:
    `element` -
    `baseURI` -
    `storage` -
  Returns:
    resolved public key from the registered from the element.
  Throws:
    `KeyResolverException`

### engineResolveX509Certificate

    public java.security.cert.X509Certificate engineResolveX509Certificate(org.w3c.dom.Element element,
                                                                           java.lang.String baseURI,
                                                                           StorageResolver storage)
                                                                    throws KeyResolverException

  Method engineResolveCertificate

  Parameters:
    `element` -
    `baseURI` -
    `storage` -
  Returns:
    resolved X509Certificate key from the registered from the elements
  Throws:
    `KeyResolverException`

### engineLookupResolveX509Certificate

    public java.security.cert.X509Certificate engineLookupResolveX509Certificate(org.w3c.dom.Element element,
                                                                                 java.lang.String baseURI,
                                                                                 StorageResolver storage)
                                                                          throws KeyResolverException

  Method engineLookupResolveX509Certificate

  Parameters:
    `element` -
    `baseURI` -
    `storage` -
  Returns:
    resolved X509Certificate key from the registered from the elements
  Throws:
    `KeyResolverException`

### engineResolveSecretKey

    public javax.crypto.SecretKey engineResolveSecretKey(org.w3c.dom.Element element,
                                                         java.lang.String baseURI,
                                                         StorageResolver storage)
                                                  throws KeyResolverException

  Method engineResolveSecretKey

  Parameters:
    `element` -
    `baseURI` -
    `storage` -
  Returns:
    resolved SecretKey key from the registered from the elements
  Throws:
    `KeyResolverException`

### engineLookupAndResolveSecretKey

    public javax.crypto.SecretKey engineLookupAndResolveSecretKey(org.w3c.dom.Element element,
                                                                  java.lang.String baseURI,
                                                                  StorageResolver storage)
                                                           throws KeyResolverException

  Method engineLookupAndResolveSecretKey

  Parameters:
    `element` -
    `baseURI` -
    `storage` -
  Returns:
    resolved SecretKey key from the registered from the elements
  Throws:
    `KeyResolverException`

### engineLookupAndResolvePrivateKey

    public java.security.PrivateKey engineLookupAndResolvePrivateKey(org.w3c.dom.Element element,
                                                                     java.lang.String baseURI,
                                                                     StorageResolver storage)
                                                              throws KeyResolverException

  Method engineLookupAndResolvePrivateKey

  Parameters:
    `element` -
    `baseURI` -
    `storage` -
  Returns:
    resolved PrivateKey key from the registered from the elements
  Throws:
    `KeyResolverException`

### engineSetProperty

    public void engineSetProperty(java.lang.String key,
                                  java.lang.String value)

  Method engineSetProperty

  Parameters:
    `key` -
    `value` -

### engineGetProperty

    public java.lang.String engineGetProperty(java.lang.String key)

  Method engineGetProperty

  Parameters:
    `key` -
  Returns:
    obtain the property appointed by key

### understandsProperty

    public boolean understandsProperty(java.lang.String propertyToTest)

  Method understandsProperty

  Parameters:
    `propertyToTest` -
  Returns:
    true if understood the property

### setGlobalResolver

    public void setGlobalResolver(boolean globalResolver)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD